
package com.jeelowcode.framework.utils.annotation;

import java.lang.annotation.*;
import java.util.concurrent.TimeUnit;

/**
 * 接口缓存
 */
@Target({ ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
public @interface JeelowCodeCache {

    String cacheNames() default "";

    long expire() default 1800L;

    boolean  nullIsSave() default false;//空值是否存储

    TimeUnit timeUnit() default TimeUnit.SECONDS;

    Class reflexClass();

    boolean alwaysEffective() default false;//总是有效  现在是开发环境不开启，如果是true的话，开发环境也开启
}
